import requests

class SecMail:
    BASE_URL = "https://2secmail.cloud/api"
    API_KEY = "pYZz8IPL1S7BJDv6GMlA"

    @classmethod
    def get_domains(cls):
        """Récupère la liste des domaines disponibles."""
        url = f"{cls.BASE_URL}/domains/{cls.API_KEY}"
        response = requests.get(url)
        return response.json()

    @classmethod
    def create_email(cls, email):
        """Crée une adresse email."""
        url = f"{cls.BASE_URL}/email/{email}/{cls.API_KEY}"
        response = requests.get(url)
        return response.json()

    @classmethod
    def get_messages(cls, email):
        """Récupère les messages d'une adresse email."""
        url = f"{cls.BASE_URL}/messages/{email}/{cls.API_KEY}"
        response = requests.get(url)
        return response.json()

    @classmethod
    def get_message(cls, message_id):
        """Récupère un seul message par son ID."""
        url = f"{cls.BASE_URL}/message/{message_id}/{cls.API_KEY}"
        response = requests.get(url)
        return response.json()

    @classmethod
    def delete_message(cls, message_id):
        """Supprime un message spécifique via son ID."""
        url = f"{cls.BASE_URL}/message/{message_id}/{cls.API_KEY}"
        response = requests.delete(url)
        return response.status_code == 200

# Exemple d'utilisation :
if __name__ == "__main__":
    print(SecMail.get_domains())  # Liste des domaines
    print(SecMail.create_email("test@domaine.com"))  # Création d'un email
    print(SecMail.get_messages("test@domaine.com"))  # Récupération des messages
    print(SecMail.get_message(12345))  # Récupération d'un message spécifique
    print(SecMail.delete_message(12345))  # Suppression d'un message
